Page MenuHomePhabricator

Remove old imagemagick version checks
Closed, ResolvedPublic

Description

BitmapHandler.php has numerous checks for versions of imagemagick...

The oldest being 6.3.4, which was released in 2007.

We also have 6.5.6 from 2009

And 6.8.9-3 from 2014...

I think we can guarantee we'll have at least those versions...

Jessie has 6.8.9.9-5 - https://packages.debian.org/jessie/imagemagick and PHP had PHP 5...

I think we can basically remove all existing version checks and just assume we have a much newer version (like WMF prod has 6.9.7) based on PHP requirements and therefore what the underlying OS requirement/versions should be

Event Timeline

Reedy created this task.Aug 25 2020, 11:14 PM
Restricted Application added a project: Commons. · View Herald TranscriptAug 25 2020, 11:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Reedy updated the task description. (Show Details)Aug 25 2020, 11:27 PM

I've just noticed there's two different ways of checking the version...

				// GIF interlacing is only available since 6.3.4
				$v = Imagick::getVersion();
				preg_match( '/ImageMagick ([0-9]+\.[0-9]+\.[0-9]+)/', $v['versionString'], $v );

and

$this->getMagickVersion()

Change 622443 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@master] Stop checking for ancient ImageMagick versions

https://gerrit.wikimedia.org/r/622443

Krinkle added a subscriber: brion.Aug 26 2020, 2:17 AM

Change 622443 merged by jenkins-bot:
[mediawiki/core@master] media: Remove checks for ancient ImageMagick versions in BitmapHandler

https://gerrit.wikimedia.org/r/622443

Change 624305 had a related patch set uploaded (by Reedy; owner: Reedy):
[mediawiki/core@REL1_35] media: Remove checks for ancient ImageMagick versions in BitmapHandler

https://gerrit.wikimedia.org/r/624305

Reedy closed this task as Resolved.Sep 4 2020, 4:39 PM
Reedy claimed this task.

Change 624305 merged by jenkins-bot:
[mediawiki/core@REL1_35] media: Remove checks for ancient ImageMagick versions in BitmapHandler

https://gerrit.wikimedia.org/r/624305